Advanced roadmap - Error #1374

Internal server error 500
2017-05-24 04:55 - Artur H

Status: Resolved Start date: 2017-05-24
Priority: Urgent Due date: 2017-05-24
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Versions Estimated time: 0.00 hour
Target version: Advanced roadmap 0.11.0

Source: Customer Redmine version: Redmine trunk
Detected on version: Advanced roadmap 0.11.0

Description

| am using most recent svn code from version 0.11.0
When i click on certain "Versions" | am getting 500 server error.

Here is a log from the system:

Started GET "/versions/135" for fe80::c2f:b011:b7a0:6ead at 2017-05-23 19:51:53 -0700
Processing by VersionsController#show as HTML

Parameters: {"id"=>"135"}

Current user: kobit (id=4)

Rendered plugins/advanced_roadmap/app/views/versions/show.html.erb within layouts/base (5.3ms)
Completed 500 Internal Server Error in 47ms (ActiveRecord: 12.8ms)

ActionView: :Template: :Error (No route matches {:action=>"edit", :controller=>"wiki", :id=>#<Projec
t id: 159, name: "Redmine Plugins", description: "A project to keep Redmine plugins developed for
Ti...", homepage: "", is_public: false, parent_id: 188, created_on: "2017-02-23 10:35:43", updated
_on: "2017-03-03 04:43:42", identifier: "redmine-plugins", status: 1, 1ft: 270, rgt: 311, inherit_
members: false, default_version_id: 135, product_backlog_id: nil>, :page=>"Support_time_tracking"}
)

1: <div class="contextual">

2 <%= link_to_if_authorized 1 (:button_edit), {:controller => 'versions', :action => 'edit',

:id => @version}, :class => 'icon icon-edit' %>

3: <%= link_to_if_ authorized (1l (:button_edit_associated_wikipage, :page_title => @version.wik
i_page_title), {:controller => 'wiki', :action => 'edit', :id => @version.project, :page => Wiki.t
itleize (@version.wiki_page_title)}, :class => 'icon icon-edit') unless @version.wiki_page_title.bl
ank? || @version.project.wiki.nil? %>

4 <%= call_hook (:view_versions_show_contextual, { :version => @version, :project => @projec
t }) %>

5: </div>

6:

app/helpers/application_helper.rb:48:in “link_to_if_ authorized'

plugins/advanced_roadmap/app/views/versions/show.html.erb:3:in ' _plugins_advanced_roadmap_app_vi
ews_versions_show_html_erb_4259254580071629178_40646880"

lib/redmine/sudo_mode.rb:63:in " sudo_mode'

Related issues:
Has duplicate Advanced roadmap - Error #1341: 500 Internal Server Error on so... Rejected

Associated revisions

Revision 04f2f073 - 2017-05-24 07:00 - Emilio Gonzalez Montaha
#1374

e Update way to render WIKI edit links in version rendering.

History

#1 - 2017-05-24 08:55 - Emilio Gonzalez Montaiha

- Status changed from New to In progress
- Start date set to 2017-05-24

Problem raises when version has a WIKI page, it seems Redmine has changed the way to link to wiki pages since this feature was added to the
plugin.

#2 - 2017-05-24 09:00 - Emilio Gonzalez Montafia
- Due date set to 2017-05-24

- Category changed from Roadmap to Versions

- Status changed from In progress to Resolved

- % Done changed from 0 to 100

- Source changed from Development to Customer

#3 - 2017-06-02 08:05 - Emilio Gonzalez Montaina

- Has duplicate Error #1341: 500 Internal Server Error on some versions page access added
